Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk2+
Version: 2.6.7
Release: 5tr
License: LGPL
Group: Trustix Official
URL: http://www.gtk.org
Source:	 ftp://ftp.gtk.org/pub/gtk/v2.5/gtk+-%{version}.tar.bz2
Patch0: gdk-pixbuf_color-loop.diff
Patch1: xpm-overflow.patch
BuildRoot: %{_tmppath}/%{name}-root
Provides: gtk+2
Provides: gtk+ = %{version}
Requires: glib >= 2.6.0
Requires: xorg-x11-libs, atk, freetype, libjpeg, libpng
Requires: pango, libtiff, zlib
BuildRequires: glib-devel >= 2.6.0, xorg-x11-devel, pango-devel, atk-devel
BuildRequires: freetype-devel, libtiff-devel

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Trustix Official
Requires: gtk2+ = %{version}
Requires: glib-devel >= 2.2.3
Requires: xorg-x11-devel
Requires: atk-devel, pango-devel
Provides: gtk-devel = %{version}
Provides: gtk+-devel = %{version}
Provides: libgtk+-devel = %{version}

%description devel
The gtk2+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+1.2-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

Install gtk2+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk2+ package.

%prep
%setup -n gtk+-%{version} -q
%patch0 -p1
%patch1 -p1

%build
export PKG_CONFIG_PATH="/usr/X11R6/lib/pkgconfig:%{_libdir}/pkgconfig"
%configure  --with-xinput=xfree --libdir=%{_libdir} --disable-static 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# We need the gdk-pixbuf.loaders file, but it contains references to the build dir, so we change it with sed
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
cat gdk-pixbuf/gdk-pixbuf.loaders | sed -e "s,${RPM_BUILD_DIR}/gtk+-%{version}/gdk-pixbuf,%{_libdir}/gtk-2.0/2.4.0/loaders,g" > $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc INSTALL 
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/gtk-2.0
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/aclocal/gtk-2.0.m4
%{_datadir}/themes/Default/gtk-2.0
%{_datadir}/themes/Default/gtk-2.0-key
%{_datadir}/themes/Emacs/gtk-2.0-key
%{_datadir}/gtk-2.0
%{_datadir}/gtk-doc
%{_sysconfdir}/gtk-2.0

%files devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*  
%{_libdir}/lib*a
%{_libdir}/lib*.so
%{_includedir}/gtk-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Nov 16 2005 Ajith Thampi <ajith at trustix dot org> 2.6.7-5tr
- SECURITY Fix: An attacker could create a carefully crafted XPM file
  in such a way that it could cause an application linked with gtk2 to
  execute arbitrary code when the file was opened by a victim.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-3186 to this issue.

- SECURITY Fix: Ludwig Nussel discovered an infinite-loop denial of
  service bug in the way gtk2 processes XPM images. An attacker could
  create a carefully crafted XPM file in such a way that it could cause
  an application linked with gtk2 to stop responding when the file was
  opened by a victim.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-2975 to this issue.

* Mon Nov 14 2005 Nived Gopalan <nived at trustix dot org> 2.6.7-4tr
- Moved *.pc files to devel and fixed Requires, Bug #1377 and #1385

* Thu Jun 30 2005 Bipin S <bipin at comodo dot com> 2.6.7-3tr
- Corrected lib paths in gtk-pixbuf.loaders.

* Wed Apr 27 2005 Hasher J <hasher at comodo dot com> 2.6.7-1tr
- New Upstream

* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.4-5tr
- Changed Group to Trustix Official

* Tue Feb 01 2005 Syed Shabir <syedshabir at comodo dot com> 
- Rebuilt on GCC-3.4.3

* Wed Oct 13 2004 Nageswara Sastry <nageswara at comodo dot com> 2.5.3-1na
- Rebuild for TSL-2.2

* Thu Aug 19 2004 Jeyaganesan <ganesan at comodo dot com> 2.5.1-1je
- New upstream

* Tue Apr 27 2004 Morten Nilsen <morten@nilsen.com> 2.2.4-9mn
- Cleanup

* Tue Mar 30 2004 Morten Nilsen <morten@nilsen.com> 2.2.4-8mn
- the gdk-pixbuf.loaders file was corrupt
 
* Tue Feb 24 2004 Morten Nilsen <morten@nilsen.com>
- Rebuild on TSL 2.1, cleanup

* Thu Feb 19 2004 Morten Nilsen <morten@nilsen.com>
- Partial cleanup, new version

* Wed Aug 27 2003 Morten Nilsen <morten@nilsen.com>
- Upgrade

* Sun Jul 13 2003 Morten Nilsen <morten@nilsen.com>
- change prefix og glib to make 2.0 and 1.2 coexist

* Sun Oct 21 2001 Morten Nilsen <morten@nilsen.com>
- Adopt .rpm to trustix

* Mon Oct 09 2001 DindinX <odin@mandrakesoft.com> 1.2.10-16mdk
- resurect the mo files

* Fri Oct 05 2001 DindinX <odin@mandrakesoft.com> 1.2.10-15mdk
- versioned i18n

* Sun Sep 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-14mdk
- added gtkrc file for utf-8 georgian and fixed Thai and Russian ones

* Sun Sep 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-13mdk
- fixed CJK fontsets in gtkrc files

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-12mdk
- rebuild including latest translations
- added some more gtkrc files (utf-8 and improvec cjk ones)

* Fri Aug 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.10-11mdk
- Remove /etc/gtk/gtkrc : offical gtk doesn't provide any default one and
  previous "default" gtkrc was still breaking some themes on tooltips

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.10-10mdk
- /etc/gtk/gtkrc is back (and use default gtkrc)
- Patch5: add navigation button to file selector (from Ximian)
- Merge patches from Rawhide :
 - Patch6:  patch for alignment warnings on ia64
 - Patch7:  patch to vastly improve expose compression
 - Patch8:  not screw up CTEXT for UTF-8 locales
 - Patch9 : Accept KP_Enter as well as Return
 - Patch10: fix for theme switching in nautilus sidebar tabs 
  (and other similar situations)
 - Patch11: Fix refcounting problem in gtk_style_copy() that might affect 
   theme switching.
 - Patch12: Fix problem with width computation for missing characters

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.10-9mdk
- Fixes from Gtz Waschk:
 - pkgconfig files
 - html doc

* Wed Jul 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.10-8mdk
- Patch4: fix focus problem with Evolution and Gnome control-center
- add version in provides

* Wed Jul 04 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2.10-7mdk
- More specific %%_infodir file glob, to prevent file "dir" from
  being packaged. (occurs on alpha but not i586)

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.10-6mdk
- BuildRequires:	XFree86-devel

* Wed Jun 27 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-5mdk
- fixed some locale weirdness 

* Mon Jun 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-4mdk
- corrected a bug of my patch
- added gtkrc.utf-8 to the package

* Wed Jun 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-3mdk
- removed various obsolete stuff
- added a charset-based selection of gtkrc files
- should now work in utf-8 locales!

* Fri May  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.10-2mdk
- Patch2 (ximian) : modify drawing when no shadow for menubar

* Mon Apr  2 2001 DindinX <odin@mandrakesoft.com> 1.2.10-1mdk
- 1.2.10

* Thu Mar 29 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.9-8mdk
- Requires mandrake_desk (use new theme)

* Tue Mar 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.9-7mdk
- Apply ctext patch from Abel Cheung <maddog@linuxhall.org>.

* Wed Mar 14 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2.9-6mdk
- require common-licenses.
- clean up spec a tiny bit.
- more docs.
- fix rpmlint warnings.
- install info files the correct way.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.9-5mdk
- Fix symlink.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.9-4mdk
- More Chinese cleanups.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.9-3mdk
- Cleanup of Chiense.

* Mon Mar  5 2001 DindinX <odin@mandrakesoft.com> 1.2.9-2mdk
- Grr, rebuild with glib-devel installed on the cluster

* Fri Mar  2 2001 DindinX <odin@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

* Tue Dec 19 2000 DindinX <odin@mandrakesoft.com> 1.2.8-11mdk
- use -j in tar instead of the (very) obsolete -I

* Tue Nov 28 2000 DindinX <odin@mandrakesoft.com> 1.2.8-10mdk
- add som obsoletes: tags
- use more macros
- fix description

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 1.2.8-9mdk
- Grr. Now really respect the new naming policy
- move some doc from libgtk+1.2 to libgtk+1.2-devel

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 1.2.8-8mdk
- new naming policy
- temporary removed the submenu-navigation patch, since xmms has some issue
  with it (imho xmms should be fixed...).

* Fri Nov 03 2000 DindinX <odin@mandrakesoft.com> 1.2.8-7mdk
- rebuild with gcc-2.96

* Thu Oct 26 2000 DindinX <odin@mandrakesoft.com> 1.2.8-6mdk
- Solve show Big5(temporality) (from Andrew Lee <andrew@cle.linux.org.tw>)

* Tue Oct 24 2000 DindinX <odin@mandrakesoft.com> 1.2.8-5mdk
- Backported the submenu-navigation patch
- Added many docs to gtk+-devel

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 1.2.8-4mdk
- remove --enable-debug=no since some programs segfault because of this
  (reported by Frederic Crozat)

* Fri Aug 25 2000 DindinX <odin@mandrakesoft.com> 1.2.8-3mdk
- use %lang and %make
- add the noreplace flag for %config

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.8-2mdk
- rebuild with macros
- rebuild for BM
- misc fixes

* Wed Jun 7 2000 DindinX <odin@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8

* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-4mdk
- corrected the paths in glib-config

* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-3mdk
- Patches cleanups (now use 1.2.7 from www.gtk.org instead of 1.2.4 + patches

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 1.2.7-2mdk
- Group and spec fixes

* Sat Feb 19 2000 DindinX <odin@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Thu Jan 27 2000 DindinX <odin@mandrakesoft.com> 1.2.6-8mdk

- disable all debugging stuff by adding --enable-debug=no to the configure
  script.

* Thu Jan 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.6-7mdk

- enabled XInput support

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- more stars in the fontset of et of vi_VN.tcvn

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- really 1.2.6 (and silimi)

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- New po files from Pablo
- Remove summary/description clutter 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- 1.2.6

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Real 1.2.5 (chmou sux).
- 1.2.5

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- a little i18n patch for gfontsel
- latest translations
- tooltip colours in /etc/gtkrc

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.2.4

* Tue Aug 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove completely the /etc/gtk/gtkrc (completely sucks :-(( )

* Sat Aug 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove style "default-text" in gtkrc (cause trouble with i18n language).

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3 :-((

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included latest *.po files from GNOME CVS
- and added back descriptions from RH 5.2
- added an icon for the rpm

* Thu Jul 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- put back --sysconfdir=/etc for config time (otherwise the files on /etc are
  never read)

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environment.

* Thu May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.3

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=/etc

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Mon Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
